sc::SymmSCMatrixSCExtrapError(3)

NAME
sc::SymmSCMatrixSCExtrapError -

SYNOPSIS

Inherits sc::SCExtrapError.

  Public Member Functions
SymmSCMatrixSCExtrapError (StateIn &)
SymmSCMatrixSCExtrapError (const RefSymmSCMatrix &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
double error ()
Returns some measure of the total error.
double scalar_product (const Ref< SCExtrapError > &)
Performs a scalar product between this and the given SCExtrapError.

Member Function Documentation

  void sc::SymmSCMatrixSCExtrapError::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::SCExtrapError.

Author

Generated automatically by Doxygen for MPQC from the source code.